// To parse this JSON data, do
//
//     final updateAppList = updateAppListFromJson(jsonString);

import 'dart:convert';

UpdateAppList ? update_app_list;

UpdateAppList updateAppListFromJson(String str) =>
    UpdateAppList.fromJson(json.decode(str));

String updateAppListToJson(UpdateAppList data) => json.encode(data.toJson());

class UpdateAppList {
  UpdateAppList({
    required this.appUpdateList,
  });

  List<AppUpdateList> appUpdateList;

  factory UpdateAppList.fromJson(Map<String, dynamic> json) => UpdateAppList(
        appUpdateList: List<AppUpdateList>.from(
            json["app_update_list"].map((x) => AppUpdateList.fromJson(x))),
      );

  Map<String, dynamic> toJson() => {
        "app_update_list":
            List<dynamic>.from(appUpdateList.map((x) => x.toJson())),
      };
}

class AppUpdateList {
  AppUpdateList({
    required this.title,
    required this.subTitle,
    required this.websiteUrl,
    required this.appIcon,
  });

  String title;
  String subTitle;
  String websiteUrl;
  String appIcon;

  factory AppUpdateList.fromJson(Map<String, dynamic> json) => AppUpdateList(
        title: json["title"],
        subTitle: json["sub_title"],
        websiteUrl: json["website_url"],
        appIcon: json["app_icon"],
      );

  Map<String, dynamic> toJson() => {
        "title": title,
        "sub_title": subTitle,
        "website_url": websiteUrl,
        "app_icon": appIcon,
      };
}
