## Add in void main

```dart   
await PPDialog.newVersionCode();
```

## Get Version Code Details

```dart 
    print(AppDetailsPP.to.appName.value);
    print(AppDetailsPP.to.packageName.value);
    print(AppDetailsPP.to.versionApp.value);
    print(AppDetailsPP.to.buildNumber.value); 
```

# Update Dialog

## Custom Update Dialog

```dart
PPDialog.updateDialog(context,
isUpdateRequired: true,
adSettingAppVersionCode: 4,
isPopup: true,
apiVersionCode: 8,
appLogoApi: "",
appNameApi: "",
subtitleAppApi: "",
appWebsiteUrl: ""
);
```

## Auto Update Dialog

```dart
PPDialog.autoUpdate();
```

# Drawer

## drawer Api Call

```dart 
await advertisementDrawerApi("enter more live url drawer api");
```

## drawer ui

```dart
          PPDialog.drawerScreen(appLogo: "",
          privacyPolicy:"",
          feedbackEmailId: "",
          emailSubject: "",
          emailMessage:""
      )
```

# Rate

## Auto Rate Dialog

```dart
    PPDialog.autoRate();
```

## Rate Dialog Custom

```dart
    PPDialog.rateDialogCustom(context,logoApp: "");
```

# Reward Dialog

```dart
    PPDialog.rewardDialog(
      rewardMessage: "Watch Reward ads for get IPTV list free",
      onTap: () {},
    );
);
```

# Exit Dialog

```dart
    PPDialog.exitDialog(
      mediumNative: Container(
      alignment: Alignment.center,
      height: 170.h,
      color: Colors.green[200],
      child: Text("Medium Size Native Ad"),
  ),
      appLogo: ''
      );
```

# Terms & Condition Dialog

```dart
  PPDialog.termsConditions(context,
      privacyPolicyUrl: "",
      termsConditionUrl: "",
      isPrivacyPolicy: 
  );
```


# One Signal Notification

```dart
      PPDialog.oneSignalNotification(oneSignalId: "");
```


# In App Purchase

```dart
      PPDialog.inAppPurchase(
                  onError:, 
                  onComplete: ,
                  productId: "");
```


# Internet Connection Dialog

```dart
  PPDialog.internetDialogCheck(callback: );
```